classification
Title: Update pydoc to PEP 451
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: 20123 Superseder:
Assigned To: eric.snow Nosy List: Arfrever, brett.cannon, eric.snow, ncoghlan, python-dev
Priority: normal Keywords: patch

Created on 2013-11-22 16:37 by brett.cannon, last changed 2014-01-07 03:52 by eric.snow. This issue is now closed.

Files
File name Uploaded Description Edit
issue19703-use-new-api.diff eric.snow, 2014-01-05 07:20 review
Messages (5)
msg205352 - (view) Author: Eric Snow (eric.snow) * (Python committer) Date: 2013-12-06 05:45
Here are the functions that should (?) be updated:

synopsis()
importfile()
safeimport()?
HTMLDoc.docmodule()
HTMLDoc.index()
TextDoc.docmodule()
ModuleScanner.run()?
msg207216 - (view) Author: Eric Snow (eric.snow) * (Python committer) Date: 2014-01-03 08:21
Here's a patch that updates pydoc to move away from find_module/load_module.

These 4 don't need to change for PEP 451:

safeimport()
HTMLDoc.docmodule()
HTMLDoc.index()
TextDoc.docmodule()
msg207320 - (view) Author: Eric Snow (eric.snow) * (Python committer) Date: 2014-01-04 22:36
Here's a new patch relative to the patch for issue #20123.
msg207357 - (view) Author: Eric Snow (eric.snow) * (Python committer) Date: 2014-01-05 07:20
Here's a slightly updated patch.
msg207502 - (view) Author: Roundup Robot (python-dev) Date: 2014-01-07 03:51
New changeset f67ccb4490ea by Eric Snow in branch 'default':
Issue #19703: Update pydoc to use the new importer APIs.
http://hg.python.org/cpython/rev/f67ccb4490ea
History
Date User Action Args
2014-01-07 03:52:46eric.snowsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2014-01-07 03:51:07python-devsetnosy: + python-dev
messages: + msg207502
2014-01-05 07:20:24eric.snowsetfiles: - issue19703-use-new-api.diff
2014-01-05 07:20:12eric.snowsetfiles: + issue19703-use-new-api.diff
messages: + msg207357

assignee: eric.snow
type: enhancement
stage: patch review
2014-01-04 22:36:51eric.snowsetfiles: - issue19703-use-new-api.diff
2014-01-04 22:36:27eric.snowsetfiles: + issue19703-use-new-api.diff

dependencies: + pydoc.synopsis fails to load binary modules
messages: + msg207320
2014-01-04 22:19:38eric.snowlinkissue19713 dependencies
2014-01-03 08:21:19eric.snowsetfiles: + issue19703-use-new-api.diff
keywords: + patch
messages: + msg207216
2013-12-06 05:48:40eric.snowsettitle: Upate pydoc to PEP 451 -> Update pydoc to PEP 451
2013-12-06 05:45:32eric.snowsetmessages: + msg205352
2013-11-23 19:51:36Arfreversetnosy: + Arfrever
2013-11-22 16:37:23brett.cannonlinkissue18864 dependencies
2013-11-22 16:37:12brett.cannoncreate